# reapr-perfectfrombam(1)

## NAME

reapr-perfectfrombam - generate perfect mapping plots from a bam file

## SYNOPSIS

*reapr perfectfrombam* [options] <in.bam> <outfileprefix> <mininsert> <maxinsert> <repetitive-max-qual> <perfect-min-qual> <perfect-min-alignment-score>

## DESCRIPTION

Alternative to using *perfectmap*, for large genomes.

Takes a BAM, which must have AS:... tags in each line. Makes file
of perfect mapping depth, for use with the REAPR pipeline.  Recommended to
use *perfectmap* instead, unless your genome is large (more than ~300MB),
since although very fast to run, 'reapr perfectmap' uses a lot of memory.

A BAM file made by *smaltmap* is suitable input.

Reads in pair pointing towards each other, with the given minimum
alignment score and mapping quality and within the given insert size range
are used to generate the coverage across the genome.

Additionally, regions with repetitive coverage are called, by taking read
pairs where at least one read of the pair (is mapped and) has mapping
quality less than or equal to <repetitive max qual>.

## OPTIONS

*-noclean*::
  Use this to not delete the temporary bam file

## SEE ALSO

reapr(1)
